CREATE TEXT SEARCH DICTIONARY

| CREATE TEXT SEARCH DICTIONARY |                       |            |                  |                                |
|:-----------------------------:|-----------------------|------------|------------------|--------------------------------|
|[Prev](sql-createtsconfig.html)|[Up](sql-commands.html)|SQL Commands|[Home](index.html)| [Next](sql-createtsparser.html)|

---

[]()

## CREATE TEXT SEARCH DICTIONARY

CREATE TEXT SEARCH DICTIONARY — define a new text search dictionary

## Synopsis

```
CREATE TEXT SEARCH DICTIONARY name (
    TEMPLATE = template
    [, option = value [, ... ]]
)

```

## Description

`CREATE TEXT SEARCH DICTIONARY` creates a new text search dictionary. A text search dictionary specifies a way of recognizing interesting or uninteresting words for searching. A dictionary depends on a text search template, which specifies the functions that actually perform the work. Typically the dictionary provides some options that control the detailed behavior of the template's functions.

 If a schema name is given then the text search dictionary is created in the specified schema. Otherwise it is created in the current schema.

 The user who defines a text search dictionary becomes its owner.

 Refer to [Chapter 12](textsearch.html) for further information.

## Parameters

*`name`*

 The name of the text search dictionary to be created. The name can be schema-qualified.

*`template`*

 The name of the text search template that will define the basic behavior of this dictionary.

*`option`*

 The name of a template-specific option to be set for this dictionary.

*`value`*

 The value to use for a template-specific option. If the value is not a simple identifier or number, it must be quoted (but you can always quote it, if you wish).

 The options can appear in any order.

## Examples

 The following example command creates a Snowball-based dictionary with a nonstandard list of stop words.

```
CREATE TEXT SEARCH DICTIONARY my_russian (
    template = snowball,
    language = russian,
    stopwords = myrussian
);

```

## Compatibility

 There is no `CREATE TEXT SEARCH DICTIONARY` statement in the SQL standard.

## See Also

[ALTER TEXT SEARCH DICTIONARY](sql-altertsdictionary.html), [DROP TEXT SEARCH DICTIONARY](sql-droptsdictionary.html)

---

|[Prev](sql-createtsconfig.html) |[Up](sql-commands.html)| [Next](sql-createtsparser.html)|
|:-------------------------------|:---------------------:|-------------------------------:|
|CREATE TEXT SEARCH CONFIGURATION|  [Home](index.html)   |    CREATE TEXT SEARCH PARSER   |

 // \<![CDATA[ \<-- For SVG support if ('WebSocket' in window) { (function() { function refreshCSS() { var sheets = [].slice.call(document.getElementsByTagName("link")); var head = document.getElementsByTagName("head")[0]; for (var i = 0; i \< sheets.length; ++i) { var elem = sheets[i]; head.removeChild(elem); var rel = elem.rel; if (elem.href && typeof rel != "string" || rel.length == 0 || rel.toLowerCase() == "stylesheet") { var url = elem.href.replace(/(&|\\?)\_cacheOverride=\\d+/, ''); elem.href = url + (url.indexOf('?') \>= 0 ? '&' : '?') + '\_cacheOverride=' + (new Date().valueOf()); } head.appendChild(elem); } } var protocol = window.location.protocol === 'http:' ? 'ws://' : 'wss://'; var address = protocol + window.location.host + window.location.pathname + '/ws'; var socket = new WebSocket(address); socket.onmessage = function(msg) { if (msg.data == 'reload') window.location.reload(); else if (msg.data == 'refreshcss') refreshCSS(); }; console.log('Live reload enabled.'); })(); } // ]]\>